Package org.springframework.security.authentication

# Class AuthenticationServiceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.core.AuthenticationException
org.springframework.security.authentication.AuthenticationServiceException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `InternalAuthenticationServiceException`

public class AuthenticationServiceException extends AuthenticationException
Thrown if an authentication request could not be processed due to a system problem.

This might be thrown if a backend authentication repository is unavailable, for example.

See Also:
  - `InternalAuthenticationServiceException`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationServiceException(String msg)`
Constructs an `AuthenticationServiceException` with the specified message.
`AuthenticationServiceException(String msg, Throwable cause)`
Constructs an `AuthenticationServiceException` with the specified message and root cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthenticationServiceException

public AuthenticationServiceException(String msg)
Constructs an `AuthenticationServiceException` with the specified message.

Parameters:
  `msg` - the detail message

### AuthenticationServiceException

public AuthenticationServiceException(String msg, Throwable cause)
Constructs an `AuthenticationServiceException` with the specified message and root cause.

Parameters:
  `msg` - the detail message
  `cause` - root cause